import fetch from '../../utils/fetch';

 //获取需求列表

 export function getNeedList (str) { // 行业分类
    return fetch({
      url: '/requirement/page',
      method: 'post',
      data:str,
    });
  }

// 获取字典分类列表
export function getIndusty (id) { // 行业分类
    return fetch({
      url: '/dicItem/getData?dicTypeCode='+id,
      method: 'get'
    });
  }

  //获取需求列表
  export function getRequireList (data) {
    return fetch({
      url: '/requirement/page',
      method: 'post',
      data: data
    });
  }
   //获取需求详情
   export function getInfo (id) {
    return fetch({
      url: '/requirement/getInfo?id='+id,
      method: 'get',
    });
  }

  //新增需求
  export function requirAdd (data) {
    return fetch({
      url: '/requirement/add',
      method: 'post',
      data:data
    });
  }

//审核需求
export function requirVertify (data) {
  return fetch({
    url: '/requirement/vertify',
    method: 'post',
    data:data
  });
}

//更新需求
export function requirUpdate (data) {
  return fetch({
    url: '/requirement/update',
    method: 'put',
    data: data
  });
}

  //删除需求
  export function requirDelete (id) {
    return fetch({
      url: '/requirement/delete?id='+id,
      method: 'delete'
    });
}

//获取需求列表
export function getAllUsers () {
  return fetch({
    url: '/user/getUsers',
    method: 'get'
  });
}
