// import request from '@/utils/request'

import fetch from '../../utils/fetch';

// 登录方法
// export function login (username, password) {
//   const data = {
//     name:username,
//     pwd:password,
//     grant_type: 'password',
//     scope: 'read'
//   };
//   return fetch({
//     url: '/user/login',
//     headers: {
//       'Content-Type': 'application/x-www-form-urlencoded',
//       // 'Authorization': 'Basic dGVzdF9jbGllbnQ6dGVzdF9zZWNyZXQ=',
//     },
//     method: 'get',
//     params: data
//   });
// }
export function login(username, password) {
  const data = {
    name: username,
    pwd: password,
  };
  return fetch({
    url: '/user/login',
    method: 'post',
    data
  });
}
// // refrech_token
// export function refrechGetInfo (refrechToken) {
//   const data = {
//     refresh_token: refrechToken,
//     grant_type: 'refresh_token'

//   };
//   return fetch({
//     url: '/auth-server/oauth/token',
//     headers: {
//       'Content-Type': 'application/x-www-form-urlencoded',
//       // clientid:secret的base64
//       'Authorization': 'Basic dGVzdF9jbGllbnQ6dGVzdF9zZWNyZXQ='
//     },
//     method: 'post',
//     params: data
//   });
// }
// 获取用户详细信息
export function getInfo() {
  return fetch({
    url: '/user/getUserInfo',
    method: 'get'
  });
}

// 退出方法
export function logout() {
  return fetch({
    url: '/user/logout',
    method: 'get'
  });
}

// 获取验证码
export function getCodeImg() {
  return fetch({
    url: '/organization/open/captchaImage',
    method: 'get'
  });
}
// 注册
export function register(data) {
  return fetch({
    url: '/organization/open/register',
    method: 'post',
    params: data
  });
}
// 注册获取短信验证码
export function getrecode(data) {
  return fetch({
    url: 'organization/open/getCode?telPhone=' + data,
    method: 'get'
  });
}

//
export function getinfo() {
  return fetch({
    url: '/organization/system/user/getUserByToken',
    method: 'get'
  });
}
//获取菜单

export function getnav() {
  return fetch({
    url: '/api/laboratory_settings/1',
    method: 'get'
  });
}