import fetch from '../../utils/fetch';

// 修改个人基本资料
export function putUserInfo (data) {
  return fetch({
    url: '/organization/system/user/modifyInfo',
    method: 'put',
    params: data
  });
}
// 获取个人基本资料
export function getUserInfo (data) {
  return fetch({
    url: '/organization/system/user/modifyInfo',
    method: 'put',
    params: data
  });
}
// 认证
export function goidentificaton (data) {
  return fetch({
    url: '/organization/system/user/identification',
    method: 'put',
    params: data
  });
}
// 修改密码
export function changePassword (data) {
  return fetch({
    url: '/organization/system/user/modifyPassword',
    method: 'put',
    params: data
  });
}
// 我的关注
export function myFcous (data) {
  return fetch({
    url: '/sub/sub/attention/userList',
    method: 'get',
    params: data
  });
}
// 取消关注
export function delmyFcous (data) {
  return fetch({
    url: '/sub/sub/attention/deleteAttention?attentionId=' + data,
    method: 'delete'
  });
}
// 我的收藏
export function mycollect (data) {
  return fetch({
    url: '/sub/sub/collect/userList',
    method: 'get',
    params: data
  });
}
// 取消收藏
export function delmycollect (data) {
  return fetch({
    url: '/sub/sub/collect/deleteCollect?collectId=' + data,
    method: 'delete'
  });
}
// 添加活动
export function activeAdd (data) {
  return fetch({
    url: '/product/product/activity',
    method: 'post',
    data: data
  });
}
// 根据字典类型查询字典数据信息
export function getDicts (dictType) {
  return fetch({
    url: '/organization/system/dict/data/dictType/' + dictType,
    method: 'get'
  })
}
// 活动列表
export function activelist (data) {
  return fetch({
    url: '/product/product/activity/list',
    method: 'get',
    params: data
  });
}
// 删除或是
export function removeactive (data) {
  return fetch({
    url: '/product/product/activity/deleteActivityById?id='+data,
    method: 'delete'
  });
}
// 获取菜单
export function getMenu(username, password) {
  return fetch({
    url: '/menu/',
    method: 'get'
  });
}
