import Vue from 'vue'
import Router from 'vue-router'
import achive from '@/view/achive/achive'
import achiveAdd from '@/view/achive/achiveAdd'
import achiveDetail from '@/view/achive/achiveDetail'
import myAchive from '@/view/achive/myAchive'
import achiveEdit from '@/view/achive/achiveEdit'

import needsList from '@/view/needs/needsList'
import needsDetail from '@/view/needs/needsDetail'
import needsAdd from '@/view/needs/needsAdd'
import mananerNeeds from '@/view/needs/mananerNeeds'
import needsEdit from '@/view/needs/needsEdit'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'achive',
      component: achive,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/achiveAdd',
      name: 'achiveAdd',
      component: achiveAdd,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/achiveDetail',
      name: 'achiveDetail',
      component: achiveDetail,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/myAchive',
      name: 'myAchive',
      component: myAchive,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/achiveEdit',
      name: 'achiveEdit',
      component: achiveEdit,
      meta:{
        keepAlive:false
      }
    },
    //
    {
      path: '/needsList',
      name: 'needsList',
      component: needsList,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/needsAdd',
      name: 'needsAdd',
      component: needsAdd,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/needsDetail',
      name: 'needsDetail',
      component: needsDetail,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/mananer',
      name: 'mananerNeeds',
      component: mananerNeeds,
      meta:{
        keepAlive:false
      }
    },
    {
      path: '/needsEdit',
      name: 'needsEdit',
      component: needsEdit,
      meta:{
        keepAlive:false
      }
    },
  ]
})
